Bug 496202 - Grub screen looks psychedelic
Grub screen looks psychedelic
Product: Fedora
Classification: Fedora
Component: fedora-logos (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2009-04-17 04:59 EDT by Mary Ellen Foster
Modified: 2009-04-20 10:01 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-20 10:01:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screen photo as taken by Riku Seppälä (77 bytes, text/plain)
2009-04-17 04:59 EDT, Mary Ellen Foster
no flags Details
Screen photo as taken by Riku Seppälä (100.38 KB, image/jpeg)
2009-04-17 05:01 EDT, Mary Ellen Foster
no flags Details
fixed grub splashxpm.gz (96.43 KB, application/x-gzip)
2009-04-17 13:51 EDT, Máirín Duffy
no flags Details

  None (edit)
Description Mary Ellen Foster 2009-04-17 04:59:47 EDT
Created attachment 339972 [details]
Screen photo as taken by Riku Seppälä

Description of problem:
It seems that the background for grub is not being displayed properly. See the following mailing list thread:

I'm seeing this too, with a freshly-installed and -updated Rawhide. I've filed this against fedora-logos as that's where the splash.xpm.gz file comes from ...

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Boot and enter the grub menu
Comment 1 Mary Ellen Foster 2009-04-17 05:01:39 EDT
Created attachment 339973 [details]
Screen photo as taken by Riku Seppälä
Comment 2 Tom "spot" Callaway 2009-04-17 10:34:15 EDT
Confirmed. Mo, your grub boot splash is broken! Either that, or we're all on some really good drugs. :)
Comment 3 Máirín Duffy 2009-04-17 13:50:54 EDT
hey that was on purpose! ain't it groovy?

aw, alright. you want "normal". whatever.
(see attachment for fixed & tested version)
Comment 4 Máirín Duffy 2009-04-17 13:51:30 EDT
Created attachment 340055 [details]
fixed grub splashxpm.gz

not as groovy...
Comment 5 Tom "spot" Callaway 2009-04-17 14:46:24 EDT
fedora-logos-11.0.1-1.fc11 has the fixed bootsplash.
Comment 6 Luo Bin 2009-04-18 10:27:53 EDT
(In reply to comment #5)
> fedora-logos-11.0.1-1.fc11 has the fixed bootsplash.  

seems caused new problem,after update to fedora-logos-11.0.1-1.fc11 ,grub can't find my bootsplash.
Comment 7 Matthias Clasen 2009-04-18 15:53:48 EDT
If you want something to happen with your comment, it is best to reopen the bug.
Comment 8 Lubomir Rintel 2009-04-19 14:57:57 EDT
splash.xpm that is present in fedora-logos-11.0.1 is doubly gzipped.

I fixed that in the fedora-logos-11.0.1-2.fc11, leaving this open since upstream will probably want to fix that in the next tarball relase as well.
Comment 9 Tom "spot" Callaway 2009-04-20 10:01:16 EDT
I've pushed the fixed splash.xpm.gz into git, so I'll inherit it in the next new tarball. Closing this out.

Note You need to log in before you can comment on or make changes to this bug.